@import '_content/BadDogWebApp.SharedComponents/BadDogWebApp.SharedComponents.bundle.scp.css';

/* _content/RouteMonitor/Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-q9c6bf20c2] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-q9c6bf20c2] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/RouteMonitor/Components/Pages/Chk.razor.rz.scp.css */

.success-state[b-rb6jt472hr] {
    background-color: #281A3C;
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
}

.success-state .overlap-group-wrapper[b-rb6jt472hr] {
    background-image: url(../img/background.png);
    background-size: 100% 100%;
    width: 393px;
    height: 852px;
}

.success-state .overlap-group[b-rb6jt472hr] {
    height: 852px;
}

.success-state .main-container[b-rb6jt472hr] {
    display: flex;
    flex-direction: column;
    width: 393px;
    height: 852px;
    align-items: center;
    justify-content: space-between;
    padding: 40px 16px;
    position: relative;
}

.success-state .content-container[b-rb6jt472hr] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
    position: relative;
    align-self: stretch;
    width: 100%;
    flex: 0 0 auto;
}

.success-state .logo-container[b-rb6jt472hr] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    padding: 60px 40px 12px;
    position: relative;
    align-self: stretch;
    width: 100%;
    flex: 0 0 auto;
}

.success-state .new-logo[b-rb6jt472hr] {
    position: relative;
    align-self: stretch;
    width: 100%;
    height: 254.24px;
}

.success-state .activation-code[b-rb6jt472hr] {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 4px;
    padding: 16px;
    width: 100%;
    flex: 0 0 auto;
    position: relative;
    align-self: stretch;
}

.success-state .instruction-text[b-rb6jt472hr] {
    position: relative;
    align-self: stretch;
    margin-top: -1.00px;
    font-family: "Roboto-Light", Helvetica;
    font-weight: 300;
    /*color: #b39ad0;*/
    color: #F0E8FF;
    font-size: 20px;
    text-align: center;
    letter-spacing: 1.20px;
    line-height: 28.0px;
}

.success-state .div[b-rb6jt472hr] {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: relative;
    align-self: stretch;
    width: 100%;
    flex: 0 0 auto;
}

.success-state .text-wrapper[b-rb6jt472hr] {
    margin-top: -1.00px;
    font-family: "Roboto-Medium", Helvetica;
    font-weight: 500;
    color: #ffffff;
    font-size: 24px;
    text-align: center;
    letter-spacing: 1.44px;
    line-height: 33.6px;
    position: relative;
    align-self: stretch;
}

.success-state .failed-frame[b-rb6jt472hr] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    position: relative;
    align-self: stretch;
    width: 100%;
    flex: 0 0 auto;
}

.success-state .failed-text-wrapper[b-rb6jt472hr] {
    position: relative;
    align-self: stretch;
    margin-top: -1.00px;
    font-family: "Roboto-Medium", Helvetica;
    font-weight: 700;
    color: var(--bad-dog-games-colors-purples-super-light-purple);
    font-size: 22px;
    text-align: center;
    letter-spacing: 1.32px;
    line-height: 30.8px;
}

.success-state .failed-div[b-rb6jt472hr] {
    font-family: "Roboto-Light", Helvetica;
    font-weight: 250;
    color: #ffffff;
    font-size: 15px;
    letter-spacing: 1.20px;
    line-height: 28.0px;
    position: relative;
    align-self: stretch;
    text-align: center;
}

.success-state .activation-code-2[b-rb6jt472hr] {
    position: relative;
    align-self: stretch;
    font-family: "Roboto-SemiBold", Helvetica;
    font-weight: 600;
    color: var(--bad-dog-games-colors-accents-gold-d4af37);
    font-size: 62px;
    text-align: center;
    letter-spacing: 3.72px;
    line-height: 86.8px;
}

.success-state .help-container[b-rb6jt472hr] {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 12px 40px 12px 16px;
    width: 100%;
    flex: 0 0 auto;
    position: relative;
    align-self: stretch;
}

.success-state .help-text[b-rb6jt472hr] {
    margin-top: -1.00px;
    font-family: "Inter-Medium", Helvetica;
    font-weight: 500;
    color: #b39ad0;
    /*color: #F0E8FF;*/
    font-size: 16px;
    text-align: center;
    letter-spacing: 0;
    line-height: 22.4px;
    position: relative;
    align-self: stretch;
}

.success-state .secondary[b-rb6jt472hr] {
    display: inline-flex;
    height: 40px;
    align-items: center;
    justify-content: center;
    gap: 4px;
    padding: 8px 12px;
    position: relative;
    background-color: var(--bad-dog-games-colors-purples-500-5c3e7d);
    border-radius: 8px;
}

.success-state .icons[b-rb6jt472hr] {
    display: flex;
    width: 20px;
    height: 20px;
    align-items: center;
    justify-content: space-around;
    gap: 5.56px;
    padding: 1.11px 0.56px;
    position: relative;
}

.success-state .union[b-rb6jt472hr] {
    position: relative;
    width: 16.67px;
    height: 15px;
}

.success-state .phone[b-rb6jt472hr] {
    position: relative;
    width: 16.67px;
    height: 15px;
}

.success-state .waiting[b-rb6jt472hr] {
    position: absolute;
    width: 41px;
    height: 42px;
    top: 3px;
    left: 4px;
}

.success-state .rescan-QR-code[b-rb6jt472hr] {
    position: relative;
    width: fit-content;
    font-family: var( --typography-buttons-medium-inter-14px-medium-500-font-family );
    font-weight: var( --typography-buttons-medium-inter-14px-medium-500-font-weight );
    color: var(--bad-dog-games-colors-purples-super-light-purple);
    font-size: var(--typography-buttons-medium-inter-14px-medium-500-font-size);
    letter-spacing: var( --typography-buttons-medium-inter-14px-medium-500-letter-spacing );
    line-height: var( --typography-buttons-medium-inter-14px-medium-500-line-height );
    white-space: nowrap;
    font-style: var(--typography-buttons-medium-inter-14px-medium-500-font-style);
}

.success-state .language-selector-english[b-rb6jt472hr] {
    position: absolute;
    width: 40px;
    height: 40px;
    top: 42px;
    left: 305px;
    border-radius: 2000px;
    background-image: url(img/language-selector-usa.png);
    background-size: cover;
    background-position: 50% 50%;
    }

.success-state .language-selector-spanish[b-rb6jt472hr] {
    position: absolute;
    width: 40px;
    height: 40px;
    top: 42px;
    left: 305px;
    border-radius: 2000px;
    background-image: url(img/language-selector-spanish.png);
    background-size: cover;
    background-position: 50% 50%;
}
/* _content/RouteMonitor/Components/Pages/ScanQrCode.razor.rz.scp.css */
.success-state[b-fca27hfsrp] {
    background-color: #281A3C;
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
}

.success-state .overlap-group-wrapper[b-fca27hfsrp] {
    background-image: url(../img/background.png);
    background-size: 100% 100%;
    width: 393px;
    height: 852px;
}
